Aperture update problem - help me....

Discussion in 'Mac Basics and Help' started by eaglehunter, Nov 13, 2006.

  1. eaglehunter macrumors newbie

    Joined:
    Nov 13, 2006
    #1
    My aperture drove me nuts.
    I bought an aperture 1.1.
    I tried to update the software to 1.1.1
    The message I get is "you need to install 1.1"
    Then I tried to install 1.1
    The message I get is "you need to install 1.0"
    OK
    Be patient
    So I downloaded 1.0.1 and tried to install it.
    The message i get is "you already have 1.0." huh?
    OK now I go back to 1.1
    I get the same messsage, "you need to install 1.0.1"
    Can some one explain what the hell is going on here?

    TIA

    Justin:mad:
     
  2. gr8tfly macrumors 603

    gr8tfly

    Joined:
    Oct 29, 2006
    Location:
    ~119W 34N
    #2
    The latest update is 1.5.1, and it should update any previous version. Give that a try.

    Just got Aperture a couple weeks ago, but haven't imported my library yet. Looking fwd to using it, tho.
     
  3. eaglehunter thread starter macrumors newbie

    Joined:
    Nov 13, 2006
    #3
    1.5.1 does not work

    'Java script error'
    I can't even try to install it.
    deadend....
    :( :( :( :(
    apple sucks
     
  4. shambolic macrumors regular

    Joined:
    Oct 27, 2003
    Location:
    Staten Island, NY
    #4
    So you have some version of Aperture installed right now, if I'm reading correctly?

    If so, which folder do you have it installed in? I've read numerous reports that if you've moved it out of /Applications, the update installers fail with errors similar to what you're reporting. Drag your existing version back into /Applications and give it another try, which should result in success.
     
  5. gr8tfly macrumors 603

    gr8tfly

    Joined:
    Oct 29, 2006
    Location:
    ~119W 34N
    #5
    You probably moved Aperture from the Applications folder (or put it within a new folder). Try moving it back into Applications.

    Just saw this very error last week on another machine - moved Aperture back, and the updater worked fine.

    Hope this does it for you.

    edit: guess I was slow on my post and duplicated the prev. post info. Hope it resolves the problem, tho.
     
  6. eaglehunter thread starter macrumors newbie

    Joined:
    Nov 13, 2006
    #6
    It works!!!!!!

    Thank you so much.
    You are my life savers.
    I owe you a drink. :)
     

Share This Page